Qtopia Home - Classes - Hierachy - Annotated - Functions - Qt Embedded |

# QPETimeEdit Class Reference

The QPETimeEdit class provides a compact widget for selecting a time. More...

`#include <qtopia/datetimeedit.h>`

List of all member functions.

## Public Members

- QPETimeEdit ( QWidget * parent = 0, const char * name = 0 )
- QPETimeEdit ( const QTime & dt, QWidget * parent = 0, const char * name = 0 )
- ~QPETimeEdit ()
- QTime time () const

## Public Slots

- virtual void setTime ( const QTime & tm )
- void stepDown ()
- void stepUp ()

## Signals

- void valueChanged ( const QTime & t )

## Detailed Description

The QPETimeEdit class provides a compact widget for selecting a time.

QPETimeEdit extends QSpinBox to validate times as they are entered. It handles 12 hour and 24 hour time formats.

First availability: Qtopia 1.6

See also Qtopia Classes.

## Member Function Documentation

### QPETimeEdit::QPETimeEdit ( QWidget * parent = 0, const char * name = 0 )

Constructs a QPETimeEdit with the time set to 00:00. The parent and name parameters are the standard Qt parent parameters.

### QPETimeEdit::QPETimeEdit ( const QTime & dt, QWidget * parent = 0, const char * name = 0 )

Constructs a QPETimeEdit with the time set to dt. The parent and name parameters are the standard Qt parent parameters.

### QPETimeEdit::~QPETimeEdit ()

Destructs QPETimeEdit.

### void QPETimeEdit::setTime ( const QTime & tm )`[virtual slot]`

Sets displayed time to tm.

See also time().

### void QPETimeEdit::stepDown ()`[slot]`

Decreases the time by 15 minutes.

### void QPETimeEdit::stepUp ()`[slot]`

Increases the time by 15 minutes.

### QTime QPETimeEdit::time () const

Returns the time selected.

See also setTime().

### void QPETimeEdit::valueChanged ( const QTime & t )`[signal]`

This signal is emitted when the time is changed to t.

This file is part of the Qtopia platform, copyright © 1995-2004 Trolltech, all rights reserved.